Advisory Details

November 9th, 2010

Apple Quicktime Movie Malformed H.264 Sample Remote Code Execution Vulnerability

ZDI-10-244
ZDI-CAN-602

CVE ID CVE-2010-0515
CVSS SCORE 9, (AV:N/AC:L/Au:N/C:P/I:P/A:C)
AFFECTED VENDORS Apple
AFFECTED PRODUCTS Quicktime
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Apple QuickTime Player. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists during the parsing of samples from a malformed MOV file utilizing the H.264 codec. While parsing data to render the stream, the application will miscalculate a length that is used to initialize a heap chunk that was allocated in a header. If the length is larger than the size of the chunk allocated, then a memory corruption will occur which can lead to code execution under the context of the application.

ADDITIONAL DETAILS

Fixed in QuickTime 7.6.6
http://support.apple.com/kb/HT4104


DISCLOSURE TIMELINE
  • 2009-12-04 - Vulnerability reported to vendor
  • 2010-11-09 - Coordinated public release of advisory
CREDIT Anonymous
BACK TO ADVISORIES